[med-svn] [Git][med-team/pangolin][master] 2 commits: Add autopkgtest

Andreas Tille gitlab at salsa.debian.org
Thu Nov 26 16:48:48 GMT 2020



Andreas Tille pushed to branch master at Debian Med / pangolin


Commits:
eeb5e1ab by Andreas Tille at 2020-11-26T17:29:51+01:00
Add autopkgtest

- - - - -
7a81eee4 by Andreas Tille at 2020-11-26T17:48:28+01:00
Remove copies of scripts

- - - - -


7 changed files:

- + debian/README.test
- + debian/docs
- + debian/examples
- − debian/lintian-overrides
- debian/rules
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/README.test
=====================================
@@ -0,0 +1,8 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+    sh run-unit-test
+
+in order to confirm its integrity.


=====================================
debian/docs
=====================================
@@ -0,0 +1,2 @@
+debian/README.test
+debian/tests/run-unit-test


=====================================
debian/examples
=====================================
@@ -0,0 +1 @@
+pangolin/test/*


=====================================
debian/lintian-overrides deleted
=====================================
@@ -1,2 +0,0 @@
-# see https://lists.debian.org/debian-med/2018/06/msg00043.html
-pangolin: script-with-language-extension usr/bin/*.*


=====================================
debian/rules
=====================================
@@ -4,22 +4,15 @@
 export LC_ALL=C.UTF-8
 
 include /usr/share/dpkg/default.mk
-# this provides:
-# DEB_SOURCE: the source package name
-# DEB_VERSION: the full version of the package (epoch + upstream vers. + revision)
-# DEB_VERSION_EPOCH_UPSTREAM: the package's version without the Debian revision
-# DEB_VERSION_UPSTREAM_REVISION: the package's version without the Debian epoch
-# DEB_VERSION_UPSTREAM: the package's upstream version
-# DEB_DISTRIBUTION: the distribution(s) listed in the current entry of debian/changelog
-# SOURCE_DATE_EPOCH: the source release date as seconds since the epoch, as
-#                    specified by <https://reproducible-builds.org/specs/source-date-epoch/>
-
-# for hardening you might like to uncomment this:
-# export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_install:
+	dh_install
+	# copies of all those scripts are installed to dist-packages/pangolin/scripts
+	rm -f debian/*/usr/bin/[Sa-oq-z]* debian/*/usr/bin/pangolearn*
+
 ### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
 #override_dh_auto_test:
 #ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+
+pkg=pangolin
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+python3 lineage_finder_test.py



View it on GitLab: https://salsa.debian.org/med-team/pangolin/-/compare/efc1b4a49e6c2e080ece0c67434a4359bcd9782e...7a81eee408d5cd1f60ba750d8c6e0b65429ee73e

-- 
View it on GitLab: https://salsa.debian.org/med-team/pangolin/-/compare/efc1b4a49e6c2e080ece0c67434a4359bcd9782e...7a81eee408d5cd1f60ba750d8c6e0b65429ee73e
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20201126/352f1528/attachment-0001.html>


More information about the debian-med-commit mailing list